igeo.gui

## Class IComponent

- java.lang.Object
- - igeo.gui.IComponent

- Direct Known Subclasses:
    IPanel, IPaneLight

      public class IComponent
      extends java.lang.Object

  Base class of custom GUI components.
  Author:
    Satoru Sugihara

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `height`
    `boolean` | `visible`
    `int` | `width`
    `int` | `x`
    `int` | `y`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IComponent(int x, int y, int width, int height)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `contains(int x, int y)`
    `int` | `getHeight()`
    `int` | `getWidth()`
    `float` | `getX()`
    `float` | `getY()`
    `boolean` | `isVisible()`
    `void` | `setBounds(IComponent c)`
    `void` | `setBounds(int x, int y, int width, int height)`
    `void` | `setLocation(int x, int y)`
    `void` | `setSize(int width, int height)`
    `void` | `setVisible(boolean v)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### x

          public int x

    - #### y

          public int y

    - #### width

          public int width

    - #### height

          public int height

    - #### visible

          public boolean visible

  - ### Constructor Detail

    - #### IComponent

          public IComponent(int x,
                            int y,
                            int width,
                            int height)

  - ### Method Detail

    - #### setBounds

          public void setBounds(int x,
                                int y,
                                int width,
                                int height)

    - #### setBounds

          public void setBounds(IComponent c)

    - #### setLocation

          public void setLocation(int x,
                                  int y)

    - #### setSize

          public void setSize(int width,
                              int height)

    - #### getX

          public float getX()

    - #### getY

          public float getY()

    - #### getWidth

          public int getWidth()

    - #### getHeight

          public int getHeight()

    - #### isVisible

          public boolean isVisible()

    - #### setVisible

          public void setVisible(boolean v)

    - #### contains

          public boolean contains(int x,
                                  int y)